# Type Alias WidgetSelectionBackgroundProps

type WidgetSelectionBackgroundProps = {
imageColorDye: boolean;
imageColorDyeOpacity: number;
imageColorDyeValue: string;
imageFilters: { name: string; unit?: string | null; value: number }[];
imageHorizontalAlign: string;
imageId: number | undefined;
imageRepeat: boolean;
imageVerticalAlign: string;
}

- Defined in jamespot-user-api/src/types/widgets/common.ts:113

##### Index

### Properties

imageColorDye
imageColorDyeOpacity
imageColorDyeValue
imageFilters
imageHorizontalAlign
imageId
imageRepeat
imageVerticalAlign

## Properties

### imageColorDye

imageColorDye: boolean

- Defined in jamespot-user-api/src/types/widgets/common.ts:117

### imageColorDyeOpacity

imageColorDyeOpacity: number

- Defined in jamespot-user-api/src/types/widgets/common.ts:119

### imageColorDyeValue

imageColorDyeValue: string

- Defined in jamespot-user-api/src/types/widgets/common.ts:118

### imageFilters

imageFilters: { name: string; unit?: string | null; value: number }[]

- Defined in jamespot-user-api/src/types/widgets/common.ts:121

### imageHorizontalAlign

imageHorizontalAlign: string

- Defined in jamespot-user-api/src/types/widgets/common.ts:116

### imageId

imageId: number | undefined

- Defined in jamespot-user-api/src/types/widgets/common.ts:114

### imageRepeat

imageRepeat: boolean

- Defined in jamespot-user-api/src/types/widgets/common.ts:120

### imageVerticalAlign

imageVerticalAlign: string

- Defined in jamespot-user-api/src/types/widgets/common.ts:115